Get current status of the TasQ system
GET
/tasq/status
const url = 'https://example.com/api/v1/tasq/status';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/tasq/statusResponses
Section titled “Responses”TasQ status returned
Media typeapplication/json
object
running
Whether the TasQ server is running
boolean
queued
Number of tasks waiting for processing
integer
workers
Number of active worker processes
integer
Examplegenerated
{ "running": true, "queued": 1, "workers": 1}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}